Bug 1477152 - [Remove-brick] Few files are getting migrated eventhough the bricks crossed cluster.min-free-disk value
[Remove-brick] Few files are getting migrated eventhough the bricks crossed c...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
3.12
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Susant Kumar Palai
:
Depends On: 1474812 1475282
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 07:01 EDT by Susant Kumar Palai
Modified: 2017-09-05 13:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.12.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1475282
Environment:
Last Closed: 2017-09-05 13:38:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Worker Ant 2017-08-01 07:11:01 EDT
REVIEW: https://review.gluster.org/17942 (cluster/dht: rebalance min-free-disk fix) posted (#1) for review on release-3.12 by Susant Palai (spalai@redhat.com)
Comment 2 Worker Ant 2017-08-01 07:11:07 EDT
REVIEW: https://review.gluster.org/17943 (cluster/dht: Handle wrong rebalance status reporting) posted (#1) for review on release-3.12 by Susant Palai (spalai@redhat.com)
Comment 3 Worker Ant 2017-08-02 11:05:10 EDT
COMMIT: https://review.gluster.org/17942 committed in release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 87edff6e20ff3ff7bc1dc5a1b0186127effee364
Author: Susant Palai <spalai@redhat.com>
Date:   Wed Jul 26 17:12:03 2017 +0530

    cluster/dht: rebalance min-free-disk fix
    
    To calculate available space on a subvolume we used to do
    the following in __dht_check_free_space.
    
    post_availspace = (dst_statfs.f_bavail * dst_statfs.f_frsize) - stbuf->ia_size
    
    Now to subtracting the file size from available space is tricky here.
    Sometime available space will be lesser than the file size and since all the
    participating members in calculation are unsigned int, the result is a large
    number (integer overflow).
    
    Solution: We do not need to subtract the file size from the space available,
    since fallocate would have reserved file size space already.
    
    > Change-Id: I4f724358c44b9911933742ff3ff8d55b3dfda1cb
    > BUG: 1475282
    > Signed-off-by: Susant Palai <spalai@redhat.com>
    > Reviewed-on: https://review.gluster.org/17876
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    > Reviewed-by: N Balachandran <nbalacha@redhat.com>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Signed-off-by: Susant Palai <spalai@redhat.com>
    
    Change-Id: I4f724358c44b9911933742ff3ff8d55b3dfda1cb
    BUG: 1477152
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: https://review.gluster.org/17942
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
Comment 4 Worker Ant 2017-08-03 10:13:11 EDT
COMMIT: https://review.gluster.org/17943 committed in release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 6b1c044ea3046baf18c23dd75536fc2009e01af9
Author: Susant Palai <spalai@redhat.com>
Date:   Thu Jul 27 16:33:12 2017 +0530

    cluster/dht: Handle wrong rebalance status reporting
    
    > Change-Id: Id91ef35f890055cd42b9a94462f92297c77f1fff
    > Bug: 1475282
    > Signed-off-by: Susant Palai <spalai@redhat.com>
    > Reviewed-on: https://review.gluster.org/17868
    > Tested-by: Raghavendra G <rgowdapp@redhat.com>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > Signed-off-by: Susant Palai <spalai@redhat.com>
    
    Change-Id: Id91ef35f890055cd42b9a94462f92297c77f1fff
    Bug: 1477152
    Signed-off-by: Susant Palai <spalai@redhat.com>
    Reviewed-on: https://review.gluster.org/17943
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
Comment 5 Shyamsundar 2017-09-05 13:38:10 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.12.0, please open a new bug report.

glusterfs-3.12.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2017-September/000082.html
[2] https://www.gluster.org/pipermail/gluster-users/

Note You need to log in before you can comment on or make changes to this bug.